﻿function onUpdatingNcurrentpatientsColumn(grid, args) {
    let content = args.content;
    let info = args.cellInfo;
    let currentpatients = info.rowItem.Ncurrentpatients;
    let span = null;

    if (content.childElementCount === 0) {
        span = document.createElement("span");
        content.style.fontFamily = "'Segoe UI', Verdana";
        content.style.fontSize = "13px";
        content.appendChild(span);
    } else {
        span = content.children[0];
    }

    if (currentpatients > 500) {
        span.style.color = "#FF0000";
    } else {
        span.style.color = "#000000";
    }
    span.textContent = currentpatients;
}

// this code allows calling above functions from a .razor file
igRegisterScript("onUpdatingNcurrentpatientsColumn", onUpdatingNcurrentpatientsColumn, false);